#ifndef PSPEID_H
#define PSPEID_H

#include "pHitID.h"

class pSpeID :public pHitID {

public:

  pSpeID(const char *c=0): pHitID(c){};
  
  void SetHitID(const char *c){
    int *temp=(int *) c;
    _itrpb=*temp++;
    _itrsl=*temp++;
    _itspa=*temp;
    
  }

  int GetItrpb(){return _itrpb;}
  int GetItrsl(){return _itrsl;}
  int GetItspa(){return _itspa;}

private:

  int _itrpb;
  int _itrsl;
  int _itspa;

  
};

#endif //PSPEID_H
